-- Customer specific once-script STPH.
--
-- (c) 2011 SG|facilitor bv 
-- $Revision$ 
-- $Id$
--
-- Support: +31 53 4800700

SET ECHO ON
SPOOL stph04.lst
SET DEFINE OFF

-- Copy van fac_imp_catalogus, aangevuld met een copy van kolommen uit bes_srtdeel, waarvan alleen de laatste een 'eigen/nieuw/stph' kolom is.
-- Deze kolom bes_omrekenprijs_inclexcl_btw bepaalt hoe de prijskolom wordt omgerekend m.b.t. de voorraadfactor:
   -- 0 is niet omrekenen, exact zo overnemen
   -- 1 is omrekenen obv de voorraadfactor, zonder btw omrekening (100 euro met factor 50 -> 100/50 = 2 euro)
   -- 2 is omrekenen obv de voorraadfactor excl btw (prijzen staan incl btw, en je wilt naar excl btw intern) (100 euro met factor 50 en 21% btw -> 100/50 = 2 euro - 21% btw = 1,65)
   -- 3 is omrekenen obv de voorraadfactor incl btw (prijzen staan excl btw, en je wilt naar incl btw intern) (100 euro met factor 50 en 21% btw -> 100/50 = 2 euro + 21% btw = 2,42)

-- bes_srtdeel_voorraadmin    NUMBER(6),
-- bes_srtdeel_voorraadmax    NUMBER(6),
-- bes_srtdeel_voorraadfactor NUMBER(6),
-- bes_srtdeel_maxbestel      NUMBER(1),
-- bes_omrekenprijs_inclexcl_btw VARCHAR2(1)

CREATE TABLE stph_imp_catalogus
(
  fac_import_key             NUMBER(10),
  ins_discipline_key         NUMBER(10),
  prs_bedrijf_key            NUMBER(10),
  fac_imp_catalogus_datum    DATE,
  ins_srtdeel_nr             VARCHAR2(32),
  ins_srtgroep_omschrijving  VARCHAR2(60),
  ins_srtdeel_omschrijving   VARCHAR2(100),
  ins_srtdeel_prijs          NUMBER(8,2),
  ins_srtdeel_eenheid        VARCHAR2(30),
  ins_srtdeel_image          VARCHAR2(255),
  ins_srtdeel_veelvoud       NUMBER(6),
  ins_srtdeel_btw            NUMBER(3),
  ins_srtdeel_vervaldatum    DATE,
  ins_srtdeel_inkprijs       NUMBER(8,2),
  ins_srtdeel_minimum        NUMBER(6),
  bes_staffeltabel_key       NUMBER(10),
  ins_srtdeel_wijzigdagen    NUMBER(3),
  ins_srtdeel_annuleerdagen  NUMBER(3),
  ins_srtdeel_opmerking      VARCHAR2(2000),
  bes_srtdeel_voorraadmin    NUMBER(6),
  bes_srtdeel_voorraadmax    NUMBER(6),
  bes_srtdeel_voorraadfactor NUMBER(6),
  bes_srtdeel_maxbestel      NUMBER(1),
  bes_inclexcl_btw           VARCHAR2(1)
);

INSERT INTO fac_import_app
            (fac_import_app_code, fac_import_app_oms,
             fac_functie_key, fac_import_app_prefix)
   SELECT 'CATALOGUS', 'Vervangen(!) interne bestelcatalogi (voorraad)',
          fac_functie_key, 'STPH'
     FROM fac_functie
    WHERE fac_functie_code = 'WEB_BESMSU';


BEGIN adm.systrackscriptId('$Id$'); END;

/

SPOOL OFF

@stph.sql
